Search Results for

Show / Hide Table of Contents

# Enum ScanResult

The result of an Anti-Malware scan.

###### Namespace: IPA.AntiMalware

###### Assembly: IPA.Loader.dll

##### Syntax

    public enum ScanResult

### Fields

Name | Description
--- | ---
Detected | Malware was detected, and the content should not be executed.
KnownSafe | The object is known to be safe.
MaybeMalware | The malware engine returned a threat level less than the max, so this object may be dangerous. Proceed with caution.
NotDetected | No malware was detected, but it is not known to be safe.

### Extension Methods

ReflectionUtil.SetField<ScanResult, U>(String, U)
ReflectionUtil.GetField<U, ScanResult>(String)
ReflectionUtil.SetProperty<ScanResult, U>(String, U)
ReflectionUtil.GetProperty<U, ScanResult>(String)
ReflectionUtil.InvokeMethod<U, ScanResult>(String, Object[])